Page MenuHomePhabricator

Make editing sortkeys easier in the Categories dialog by using the article title as the default value
Closed, ResolvedPublic1 Estimated Story Points

Description

Current behavior:

  1. Go to Categories page
  2. Determine that the sort key is missing
  3. Click on it. See the (fake) name of the article disappear.
  4. Think, um, how exactly was that spelled again?

Desired behavior:

  1. Go to Categories page
  2. Determine that the sort key is missing
  3. Click on it. The name of the article does not disappear from the text field.
  4. Edit the sort key.

Bonus points: Guess when it's an article about a person and that I'm going to turn [[Alice Expert]] into a sortkey that says Expert, Alice, and insert that instead. (But make it still editable, so that [[Alice Expert Hill]] can be changed to Expert Hill, Alice.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2016, 8:16 PM
Jdforrester-WMF triaged this task as Low priority.Sep 13 2016, 7:07 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Aka "violate user expectations by instantiating the placeholder as actual text when they click into it, even though decades of user design has said explicitly not to do this"? :-)

Rathar than insert a fake name of the article (a "placeholder") into those text fields, we could just use the name of the article as the default value for them. Then when saving the changes, ignore the value if it wasn't changed.

Bonus points: Guess when it's an article about a person and that I'm going to turn [[Alice Expert]] into a sortkey that says Expert, Alice, and insert that instead. (But make it still editable, so that [[Alice Expert Hill]] can be changed to Expert Hill, Alice.

I think this is not feasible. Human names are not all easily divided into first name and last name. https://en.wikipedia.org/wiki/Wikipedia:Categorization_of_people#Sort_by_surname

I would like to mentor this task in Google-Code-in-2018.

matmarex renamed this task from Make editing sortkeys easier in the Categories dialog by pasting in the article title to Make editing sortkeys easier in the Categories dialog by using the article title as the default value.EditedOct 23 2018, 5:51 AM
matmarex updated the task description. (Show Details)
matmarex moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2018 board.

Change 470731 had a related patch set uploaded (by Bjornskjald; owner: Bjornskjald):
[mediawiki/extensions/VisualEditor@master] Add using the article title as the default value for sorting in categories

https://gerrit.wikimedia.org/r/470731

Change 470731 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add using the article title as the default value for sorting in categories

https://gerrit.wikimedia.org/r/470731

matmarex closed this task as Resolved.Oct 31 2018, 6:56 PM